/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-07-30 18:36
**/

#include<bits/stdc++.h>
using namespace std;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef long double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;

const int MAXN = 2e5 + 5;
ll N;

void solve(){
    // Code goes here ...
    cin >> N;
    ll res = 0, a, b;
    while(N--){
        cin >> a >> b;
        if(a > b) res++;
    }

    cout << res << endl;
}

int main(){
    cout << fixed << setprecision(8);
    int T;
    cin >> T;
    while(T--)
        solve();
}
        
